<?php
$tdataconstitucion_empresa = array();
$tdataconstitucion_empresa[".searchableFields"] = array();
$tdataconstitucion_empresa[".ShortName"] = "constitucion_empresa";
$tdataconstitucion_empresa[".OwnerID"] = "";
$tdataconstitucion_empresa[".OriginalTable"] = "constitucion";


$tdataconstitucion_empresa[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdataconstitucion_empresa[".originalPagesByType"] = $tdataconstitucion_empresa[".pagesByType"];
$tdataconstitucion_empresa[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdataconstitucion_empresa[".originalPages"] = $tdataconstitucion_empresa[".pages"];
$tdataconstitucion_empresa[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"masterlist\":\"masterlist\",\"masterprint\":\"masterprint\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdataconstitucion_empresa[".originalDefaultPages"] = $tdataconstitucion_empresa[".defaultPages"];

//	field labels
$fieldLabelsconstitucion_empresa = array();
$fieldToolTipsconstitucion_empresa = array();
$pageTitlesconstitucion_empresa = array();
$placeHoldersconstitucion_empresa = array();

if(mlang_getcurrentlang()=="Spanish")
{
	$fieldLabelsconstitucion_empresa["Spanish"] = array();
	$fieldToolTipsconstitucion_empresa["Spanish"] = array();
	$placeHoldersconstitucion_empresa["Spanish"] = array();
	$pageTitlesconstitucion_empresa["Spanish"] = array();
	$fieldLabelsconstitucion_empresa["Spanish"]["id_constitucion"] = "Constitucion";
	$fieldToolTipsconstitucion_empresa["Spanish"]["id_constitucion"] = "";
	$placeHoldersconstitucion_empresa["Spanish"]["id_constitucion"] = "";
	$fieldLabelsconstitucion_empresa["Spanish"]["fecha_constitucion"] = "Fecha Constitucion";
	$fieldToolTipsconstitucion_empresa["Spanish"]["fecha_constitucion"] = "";
	$placeHoldersconstitucion_empresa["Spanish"]["fecha_constitucion"] = "";
	$fieldLabelsconstitucion_empresa["Spanish"]["acciones_emitidas"] = "Acciones Emitidas";
	$fieldToolTipsconstitucion_empresa["Spanish"]["acciones_emitidas"] = "";
	$placeHoldersconstitucion_empresa["Spanish"]["acciones_emitidas"] = "";
	$fieldLabelsconstitucion_empresa["Spanish"]["valor_nominal"] = "Valor Nominal";
	$fieldToolTipsconstitucion_empresa["Spanish"]["valor_nominal"] = "";
	$placeHoldersconstitucion_empresa["Spanish"]["valor_nominal"] = "";
	$fieldLabelsconstitucion_empresa["Spanish"]["capital_autorizado"] = "Capital Autorizado";
	$fieldToolTipsconstitucion_empresa["Spanish"]["capital_autorizado"] = "";
	$placeHoldersconstitucion_empresa["Spanish"]["capital_autorizado"] = "";
	$fieldLabelsconstitucion_empresa["Spanish"]["capital_pagado"] = "Capital Pagado";
	$fieldToolTipsconstitucion_empresa["Spanish"]["capital_pagado"] = "";
	$placeHoldersconstitucion_empresa["Spanish"]["capital_pagado"] = "";
	$fieldLabelsconstitucion_empresa["Spanish"]["serie_acciones"] = "Serie Acciones";
	$fieldToolTipsconstitucion_empresa["Spanish"]["serie_acciones"] = "";
	$placeHoldersconstitucion_empresa["Spanish"]["serie_acciones"] = "";
	$fieldLabelsconstitucion_empresa["Spanish"]["clases_acciones"] = "Clases Acciones";
	$fieldToolTipsconstitucion_empresa["Spanish"]["clases_acciones"] = "";
	$placeHoldersconstitucion_empresa["Spanish"]["clases_acciones"] = "";
	$fieldLabelsconstitucion_empresa["Spanish"]["duracion"] = "Duracion";
	$fieldToolTipsconstitucion_empresa["Spanish"]["duracion"] = "";
	$placeHoldersconstitucion_empresa["Spanish"]["duracion"] = "";
	$fieldLabelsconstitucion_empresa["Spanish"]["domicilio"] = "Domicilio";
	$fieldToolTipsconstitucion_empresa["Spanish"]["domicilio"] = "";
	$placeHoldersconstitucion_empresa["Spanish"]["domicilio"] = "";
	$fieldLabelsconstitucion_empresa["Spanish"]["lugar_constitucion"] = "Lugar Constitucion";
	$fieldToolTipsconstitucion_empresa["Spanish"]["lugar_constitucion"] = "";
	$placeHoldersconstitucion_empresa["Spanish"]["lugar_constitucion"] = "";
	$fieldLabelsconstitucion_empresa["Spanish"]["matricula_comercio"] = "Lista Derecho Propietario";
	$fieldToolTipsconstitucion_empresa["Spanish"]["matricula_comercio"] = "";
	$placeHoldersconstitucion_empresa["Spanish"]["matricula_comercio"] = "";
	$fieldLabelsconstitucion_empresa["Spanish"]["fecha_inicial"] = "Fecha Actualizacion";
	$fieldToolTipsconstitucion_empresa["Spanish"]["fecha_inicial"] = "";
	$placeHoldersconstitucion_empresa["Spanish"]["fecha_inicial"] = "";
	$fieldLabelsconstitucion_empresa["Spanish"]["fecha_final"] = "Fecha Final";
	$fieldToolTipsconstitucion_empresa["Spanish"]["fecha_final"] = "";
	$placeHoldersconstitucion_empresa["Spanish"]["fecha_final"] = "";
	$fieldLabelsconstitucion_empresa["Spanish"]["id_Empresa"] = "Id Empresa";
	$fieldToolTipsconstitucion_empresa["Spanish"]["id_Empresa"] = "";
	$placeHoldersconstitucion_empresa["Spanish"]["id_Empresa"] = "";
	$fieldLabelsconstitucion_empresa["Spanish"]["nombre"] = "Nombre";
	$fieldToolTipsconstitucion_empresa["Spanish"]["nombre"] = "";
	$placeHoldersconstitucion_empresa["Spanish"]["nombre"] = "";
	$fieldLabelsconstitucion_empresa["Spanish"]["nit"] = "Nit";
	$fieldToolTipsconstitucion_empresa["Spanish"]["nit"] = "";
	$placeHoldersconstitucion_empresa["Spanish"]["nit"] = "";
	$fieldLabelsconstitucion_empresa["Spanish"]["acciones_Asignado"] = "Acciones Asignado";
	$fieldToolTipsconstitucion_empresa["Spanish"]["acciones_Asignado"] = "";
	$placeHoldersconstitucion_empresa["Spanish"]["acciones_Asignado"] = "";
	$fieldLabelsconstitucion_empresa["Spanish"]["saldo_Acciones"] = "Saldo Acciones";
	$fieldToolTipsconstitucion_empresa["Spanish"]["saldo_Acciones"] = "";
	$placeHoldersconstitucion_empresa["Spanish"]["saldo_Acciones"] = "";
	$fieldLabelsconstitucion_empresa["Spanish"]["Acciones_emita"] = "Acciones Emita";
	$fieldToolTipsconstitucion_empresa["Spanish"]["Acciones_emita"] = "";
	$placeHoldersconstitucion_empresa["Spanish"]["Acciones_emita"] = "";
	if (count($fieldToolTipsconstitucion_empresa["Spanish"]))
		$tdataconstitucion_empresa[".isUseToolTips"] = true;
}


	$tdataconstitucion_empresa[".NCSearch"] = true;



$tdataconstitucion_empresa[".shortTableName"] = "constitucion_empresa";
$tdataconstitucion_empresa[".nSecOptions"] = 0;

$tdataconstitucion_empresa[".mainTableOwnerID"] = "";
$tdataconstitucion_empresa[".entityType"] = 1;
$tdataconstitucion_empresa[".connId"] = "bsn_dividendos_at_localhost";


$tdataconstitucion_empresa[".strOriginalTableName"] = "constitucion";

	



$tdataconstitucion_empresa[".showAddInPopup"] = false;

$tdataconstitucion_empresa[".showEditInPopup"] = false;

$tdataconstitucion_empresa[".showViewInPopup"] = false;

$tdataconstitucion_empresa[".listAjax"] = false;
//	temporary
//$tdataconstitucion_empresa[".listAjax"] = false;

	$tdataconstitucion_empresa[".audit"] = true;

	$tdataconstitucion_empresa[".locking"] = true;


$pages = $tdataconstitucion_empresa[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdataconstitucion_empresa[".edit"] = true;
	$tdataconstitucion_empresa[".afterEditAction"] = 1;
	$tdataconstitucion_empresa[".closePopupAfterEdit"] = 1;
	$tdataconstitucion_empresa[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdataconstitucion_empresa[".add"] = true;
$tdataconstitucion_empresa[".afterAddAction"] = 1;
$tdataconstitucion_empresa[".closePopupAfterAdd"] = 1;
$tdataconstitucion_empresa[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdataconstitucion_empresa[".list"] = true;
}



$tdataconstitucion_empresa[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdataconstitucion_empresa[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdataconstitucion_empresa[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdataconstitucion_empresa[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdataconstitucion_empresa[".printFriendly"] = true;
}



$tdataconstitucion_empresa[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdataconstitucion_empresa[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdataconstitucion_empresa[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdataconstitucion_empresa[".isUseAjaxSuggest"] = true;



																																																																					

$tdataconstitucion_empresa[".ajaxCodeSnippetAdded"] = false;

$tdataconstitucion_empresa[".buttonsAdded"] = false;

$tdataconstitucion_empresa[".addPageEvents"] = false;

// use timepicker for search panel
$tdataconstitucion_empresa[".isUseTimeForSearch"] = false;


$tdataconstitucion_empresa[".badgeColor"] = "4169E1";


$tdataconstitucion_empresa[".allSearchFields"] = array();
$tdataconstitucion_empresa[".filterFields"] = array();
$tdataconstitucion_empresa[".requiredSearchFields"] = array();

$tdataconstitucion_empresa[".googleLikeFields"] = array();
$tdataconstitucion_empresa[".googleLikeFields"][] = "id_constitucion";
$tdataconstitucion_empresa[".googleLikeFields"][] = "fecha_constitucion";
$tdataconstitucion_empresa[".googleLikeFields"][] = "acciones_emitidas";
$tdataconstitucion_empresa[".googleLikeFields"][] = "valor_nominal";
$tdataconstitucion_empresa[".googleLikeFields"][] = "capital_autorizado";
$tdataconstitucion_empresa[".googleLikeFields"][] = "capital_pagado";
$tdataconstitucion_empresa[".googleLikeFields"][] = "serie_acciones";
$tdataconstitucion_empresa[".googleLikeFields"][] = "clases_acciones";
$tdataconstitucion_empresa[".googleLikeFields"][] = "duracion";
$tdataconstitucion_empresa[".googleLikeFields"][] = "domicilio";
$tdataconstitucion_empresa[".googleLikeFields"][] = "lugar_constitucion";
$tdataconstitucion_empresa[".googleLikeFields"][] = "matricula_comercio";
$tdataconstitucion_empresa[".googleLikeFields"][] = "fecha_inicial";
$tdataconstitucion_empresa[".googleLikeFields"][] = "fecha_final";
$tdataconstitucion_empresa[".googleLikeFields"][] = "id_Empresa";
$tdataconstitucion_empresa[".googleLikeFields"][] = "nombre";
$tdataconstitucion_empresa[".googleLikeFields"][] = "nit";
$tdataconstitucion_empresa[".googleLikeFields"][] = "acciones_Asignado";
$tdataconstitucion_empresa[".googleLikeFields"][] = "saldo_Acciones";
$tdataconstitucion_empresa[".googleLikeFields"][] = "Acciones_emita";



$tdataconstitucion_empresa[".tableType"] = "list";

$tdataconstitucion_empresa[".printerPageOrientation"] = 0;
$tdataconstitucion_empresa[".nPrinterPageScale"] = 100;

$tdataconstitucion_empresa[".nPrinterSplitRecords"] = 40;

$tdataconstitucion_empresa[".geocodingEnabled"] = false;










$tdataconstitucion_empresa[".pageSize"] = 20;

$tdataconstitucion_empresa[".warnLeavingPages"] = true;



$tstrOrderBy = "";
$tdataconstitucion_empresa[".strOrderBy"] = $tstrOrderBy;

$tdataconstitucion_empresa[".orderindexes"] = array();


$tdataconstitucion_empresa[".sqlHead"] = "SELECT c.id_constitucion,  c.fecha_constitucion,  c.acciones_emitidas,  c.valor_nominal,  c.capital_autorizado,  c.capital_pagado,  c.serie_acciones,  c.clases_acciones,  c.duracion,  c.domicilio,  c.lugar_constitucion,  c.matricula_comercio,  c.fecha_inicial,  c.fecha_final,  c.id_Empresa,  e.nombre,  e.nit,  a_c.acciones_Asignado,  a_c.saldo_Acciones,  a_c.acciones_emitidas AS Acciones_emita";
$tdataconstitucion_empresa[".sqlFrom"] = "FROM constitucion AS c  INNER JOIN empresa AS e ON c.id_Empresa = e.id_Empresa  LEFT OUTER JOIN acciones_constitucion AS a_c ON c.id_constitucion = a_c.id_constitucion";
$tdataconstitucion_empresa[".sqlWhereExpr"] = "";
$tdataconstitucion_empresa[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataconstitucion_empresa[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataconstitucion_empresa[".arrGroupsPerPage"] = $arrGPP;

$tdataconstitucion_empresa[".highlightSearchResults"] = true;

$tableKeysconstitucion_empresa = array();
$tableKeysconstitucion_empresa[] = "id_constitucion";
$tdataconstitucion_empresa[".Keys"] = $tableKeysconstitucion_empresa;


$tdataconstitucion_empresa[".hideMobileList"] = array();




//	id_constitucion
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id_constitucion";
	$fdata["GoodName"] = "id_constitucion";
	$fdata["ownerTable"] = "constitucion";
	$fdata["Label"] = GetFieldLabel("constitucion_empresa","id_constitucion");
	$fdata["FieldType"] = 3;


		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "id_constitucion";

		$fdata["sourceSingle"] = "id_constitucion";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "c.id_constitucion";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataconstitucion_empresa["id_constitucion"] = $fdata;
		$tdataconstitucion_empresa[".searchableFields"][] = "id_constitucion";
//	fecha_constitucion
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "fecha_constitucion";
	$fdata["GoodName"] = "fecha_constitucion";
	$fdata["ownerTable"] = "constitucion";
	$fdata["Label"] = GetFieldLabel("constitucion_empresa","fecha_constitucion");
	$fdata["FieldType"] = 7;


	
	
			

		$fdata["strField"] = "fecha_constitucion";

		$fdata["sourceSingle"] = "fecha_constitucion";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "c.fecha_constitucion";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 13;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataconstitucion_empresa["fecha_constitucion"] = $fdata;
		$tdataconstitucion_empresa[".searchableFields"][] = "fecha_constitucion";
//	acciones_emitidas
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "acciones_emitidas";
	$fdata["GoodName"] = "acciones_emitidas";
	$fdata["ownerTable"] = "constitucion";
	$fdata["Label"] = GetFieldLabel("constitucion_empresa","acciones_emitidas");
	$fdata["FieldType"] = 14;


	
	
			

		$fdata["strField"] = "acciones_emitidas";

		$fdata["sourceSingle"] = "acciones_emitidas";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "c.acciones_emitidas";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataconstitucion_empresa["acciones_emitidas"] = $fdata;
		$tdataconstitucion_empresa[".searchableFields"][] = "acciones_emitidas";
//	valor_nominal
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "valor_nominal";
	$fdata["GoodName"] = "valor_nominal";
	$fdata["ownerTable"] = "constitucion";
	$fdata["Label"] = GetFieldLabel("constitucion_empresa","valor_nominal");
	$fdata["FieldType"] = 14;


	
	
			

		$fdata["strField"] = "valor_nominal";

		$fdata["sourceSingle"] = "valor_nominal";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "c.valor_nominal";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataconstitucion_empresa["valor_nominal"] = $fdata;
		$tdataconstitucion_empresa[".searchableFields"][] = "valor_nominal";
//	capital_autorizado
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "capital_autorizado";
	$fdata["GoodName"] = "capital_autorizado";
	$fdata["ownerTable"] = "constitucion";
	$fdata["Label"] = GetFieldLabel("constitucion_empresa","capital_autorizado");
	$fdata["FieldType"] = 14;


	
	
			

		$fdata["strField"] = "capital_autorizado";

		$fdata["sourceSingle"] = "capital_autorizado";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "c.capital_autorizado";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataconstitucion_empresa["capital_autorizado"] = $fdata;
		$tdataconstitucion_empresa[".searchableFields"][] = "capital_autorizado";
//	capital_pagado
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "capital_pagado";
	$fdata["GoodName"] = "capital_pagado";
	$fdata["ownerTable"] = "constitucion";
	$fdata["Label"] = GetFieldLabel("constitucion_empresa","capital_pagado");
	$fdata["FieldType"] = 14;


	
	
			

		$fdata["strField"] = "capital_pagado";

		$fdata["sourceSingle"] = "capital_pagado";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "c.capital_pagado";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataconstitucion_empresa["capital_pagado"] = $fdata;
		$tdataconstitucion_empresa[".searchableFields"][] = "capital_pagado";
//	serie_acciones
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "serie_acciones";
	$fdata["GoodName"] = "serie_acciones";
	$fdata["ownerTable"] = "constitucion";
	$fdata["Label"] = GetFieldLabel("constitucion_empresa","serie_acciones");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "serie_acciones";

		$fdata["sourceSingle"] = "serie_acciones";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "c.serie_acciones";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataconstitucion_empresa["serie_acciones"] = $fdata;
		$tdataconstitucion_empresa[".searchableFields"][] = "serie_acciones";
//	clases_acciones
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "clases_acciones";
	$fdata["GoodName"] = "clases_acciones";
	$fdata["ownerTable"] = "constitucion";
	$fdata["Label"] = GetFieldLabel("constitucion_empresa","clases_acciones");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "clases_acciones";

		$fdata["sourceSingle"] = "clases_acciones";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "c.clases_acciones";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataconstitucion_empresa["clases_acciones"] = $fdata;
		$tdataconstitucion_empresa[".searchableFields"][] = "clases_acciones";
//	duracion
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "duracion";
	$fdata["GoodName"] = "duracion";
	$fdata["ownerTable"] = "constitucion";
	$fdata["Label"] = GetFieldLabel("constitucion_empresa","duracion");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "duracion";

		$fdata["sourceSingle"] = "duracion";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "c.duracion";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataconstitucion_empresa["duracion"] = $fdata;
		$tdataconstitucion_empresa[".searchableFields"][] = "duracion";
//	domicilio
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 10;
	$fdata["strName"] = "domicilio";
	$fdata["GoodName"] = "domicilio";
	$fdata["ownerTable"] = "constitucion";
	$fdata["Label"] = GetFieldLabel("constitucion_empresa","domicilio");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "domicilio";

		$fdata["sourceSingle"] = "domicilio";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "c.domicilio";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataconstitucion_empresa["domicilio"] = $fdata;
		$tdataconstitucion_empresa[".searchableFields"][] = "domicilio";
//	lugar_constitucion
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 11;
	$fdata["strName"] = "lugar_constitucion";
	$fdata["GoodName"] = "lugar_constitucion";
	$fdata["ownerTable"] = "constitucion";
	$fdata["Label"] = GetFieldLabel("constitucion_empresa","lugar_constitucion");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "lugar_constitucion";

		$fdata["sourceSingle"] = "lugar_constitucion";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "c.lugar_constitucion";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataconstitucion_empresa["lugar_constitucion"] = $fdata;
		$tdataconstitucion_empresa[".searchableFields"][] = "lugar_constitucion";
//	matricula_comercio
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 12;
	$fdata["strName"] = "matricula_comercio";
	$fdata["GoodName"] = "matricula_comercio";
	$fdata["ownerTable"] = "constitucion";
	$fdata["Label"] = GetFieldLabel("constitucion_empresa","matricula_comercio");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "matricula_comercio";

		$fdata["sourceSingle"] = "matricula_comercio";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "c.matricula_comercio";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataconstitucion_empresa["matricula_comercio"] = $fdata;
		$tdataconstitucion_empresa[".searchableFields"][] = "matricula_comercio";
//	fecha_inicial
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 13;
	$fdata["strName"] = "fecha_inicial";
	$fdata["GoodName"] = "fecha_inicial";
	$fdata["ownerTable"] = "constitucion";
	$fdata["Label"] = GetFieldLabel("constitucion_empresa","fecha_inicial");
	$fdata["FieldType"] = 7;


	
	
			

		$fdata["strField"] = "fecha_inicial";

		$fdata["sourceSingle"] = "fecha_inicial";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "c.fecha_inicial";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 13;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataconstitucion_empresa["fecha_inicial"] = $fdata;
		$tdataconstitucion_empresa[".searchableFields"][] = "fecha_inicial";
//	fecha_final
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 14;
	$fdata["strName"] = "fecha_final";
	$fdata["GoodName"] = "fecha_final";
	$fdata["ownerTable"] = "constitucion";
	$fdata["Label"] = GetFieldLabel("constitucion_empresa","fecha_final");
	$fdata["FieldType"] = 7;


	
	
			

		$fdata["strField"] = "fecha_final";

		$fdata["sourceSingle"] = "fecha_final";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "c.fecha_final";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 13;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataconstitucion_empresa["fecha_final"] = $fdata;
		$tdataconstitucion_empresa[".searchableFields"][] = "fecha_final";
//	id_Empresa
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 15;
	$fdata["strName"] = "id_Empresa";
	$fdata["GoodName"] = "id_Empresa";
	$fdata["ownerTable"] = "constitucion";
	$fdata["Label"] = GetFieldLabel("constitucion_empresa","id_Empresa");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "id_Empresa";

		$fdata["sourceSingle"] = "id_Empresa";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "c.id_Empresa";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "empresa";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "id_Empresa";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "nombre";

	

	
	$edata["LookupOrderBy"] = "";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataconstitucion_empresa["id_Empresa"] = $fdata;
		$tdataconstitucion_empresa[".searchableFields"][] = "id_Empresa";
//	nombre
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 16;
	$fdata["strName"] = "nombre";
	$fdata["GoodName"] = "nombre";
	$fdata["ownerTable"] = "empresa";
	$fdata["Label"] = GetFieldLabel("constitucion_empresa","nombre");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "nombre";

	
	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "e.nombre";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "empresa";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "id_Empresa";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "nombre";

	

	
	$edata["LookupOrderBy"] = "";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataconstitucion_empresa["nombre"] = $fdata;
		$tdataconstitucion_empresa[".searchableFields"][] = "nombre";
//	nit
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 17;
	$fdata["strName"] = "nit";
	$fdata["GoodName"] = "nit";
	$fdata["ownerTable"] = "empresa";
	$fdata["Label"] = GetFieldLabel("constitucion_empresa","nit");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "nit";

	
	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "e.nit";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataconstitucion_empresa["nit"] = $fdata;
		$tdataconstitucion_empresa[".searchableFields"][] = "nit";
//	acciones_Asignado
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 18;
	$fdata["strName"] = "acciones_Asignado";
	$fdata["GoodName"] = "acciones_Asignado";
	$fdata["ownerTable"] = "acciones_constitucion";
	$fdata["Label"] = GetFieldLabel("constitucion_empresa","acciones_Asignado");
	$fdata["FieldType"] = 14;


	
	
			

		$fdata["strField"] = "acciones_Asignado";

	
	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "a_c.acciones_Asignado";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataconstitucion_empresa["acciones_Asignado"] = $fdata;
		$tdataconstitucion_empresa[".searchableFields"][] = "acciones_Asignado";
//	saldo_Acciones
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 19;
	$fdata["strName"] = "saldo_Acciones";
	$fdata["GoodName"] = "saldo_Acciones";
	$fdata["ownerTable"] = "acciones_constitucion";
	$fdata["Label"] = GetFieldLabel("constitucion_empresa","saldo_Acciones");
	$fdata["FieldType"] = 14;


	
	
			

		$fdata["strField"] = "saldo_Acciones";

	
	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "a_c.saldo_Acciones";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataconstitucion_empresa["saldo_Acciones"] = $fdata;
		$tdataconstitucion_empresa[".searchableFields"][] = "saldo_Acciones";
//	Acciones_emita
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 20;
	$fdata["strName"] = "Acciones_emita";
	$fdata["GoodName"] = "Acciones_emita";
	$fdata["ownerTable"] = "acciones_constitucion";
	$fdata["Label"] = GetFieldLabel("constitucion_empresa","Acciones_emita");
	$fdata["FieldType"] = 14;


	
	
			

		$fdata["strField"] = "acciones_emitidas";

	
	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "a_c.acciones_emitidas";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataconstitucion_empresa["Acciones_emita"] = $fdata;
		$tdataconstitucion_empresa[".searchableFields"][] = "Acciones_emita";


$tables_data["constitucion_empresa"]=&$tdataconstitucion_empresa;
$field_labels["constitucion_empresa"] = &$fieldLabelsconstitucion_empresa;
$fieldToolTips["constitucion_empresa"] = &$fieldToolTipsconstitucion_empresa;
$placeHolders["constitucion_empresa"] = &$placeHoldersconstitucion_empresa;
$page_titles["constitucion_empresa"] = &$pageTitlesconstitucion_empresa;


changeTextControlsToDate( "constitucion_empresa" );

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)

//if !@TABLE.bReportCrossTab

$detailsTablesData["constitucion_empresa"] = array();
//	gestion
	
	

		$dIndex = 0;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="gestion";
		$detailsParam["dOriginalTable"] = "gestion";



		
		$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "gestion";
	$detailsParam["dCaptionTable"] = GetTableCaption("gestion");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["constitucion_empresa"][$dIndex] = $detailsParam;

	
		$detailsTablesData["constitucion_empresa"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["constitucion_empresa"][$dIndex]["masterKeys"][]="id_constitucion";

				$detailsTablesData["constitucion_empresa"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["constitucion_empresa"][$dIndex]["detailKeys"][]="id_constitucion";
//	derecho_propietario
	
	

		$dIndex = 1;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="derecho_propietario";
		$detailsParam["dOriginalTable"] = "derecho_propietario";



		
		$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "derecho_propietario";
	$detailsParam["dCaptionTable"] = GetTableCaption("derecho_propietario");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["constitucion_empresa"][$dIndex] = $detailsParam;

	
		$detailsTablesData["constitucion_empresa"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["constitucion_empresa"][$dIndex]["masterKeys"][]="id_constitucion";

				$detailsTablesData["constitucion_empresa"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["constitucion_empresa"][$dIndex]["detailKeys"][]="id_constitucion";
//	derecho_propietario_2
	
	

		$dIndex = 2;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="derecho_propietario_2";
		$detailsParam["dOriginalTable"] = "derecho_propietario_2";



		
		$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "derecho_propietario_2";
	$detailsParam["dCaptionTable"] = GetTableCaption("derecho_propietario_2");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["constitucion_empresa"][$dIndex] = $detailsParam;

	
		$detailsTablesData["constitucion_empresa"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["constitucion_empresa"][$dIndex]["masterKeys"][]="id_constitucion";

				$detailsTablesData["constitucion_empresa"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["constitucion_empresa"][$dIndex]["detailKeys"][]="id_constitucion";
//endif

// tables which are master tables for current table (detail)
$masterTablesData["constitucion_empresa"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_constitucion_empresa()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "c.id_constitucion,  c.fecha_constitucion,  c.acciones_emitidas,  c.valor_nominal,  c.capital_autorizado,  c.capital_pagado,  c.serie_acciones,  c.clases_acciones,  c.duracion,  c.domicilio,  c.lugar_constitucion,  c.matricula_comercio,  c.fecha_inicial,  c.fecha_final,  c.id_Empresa,  e.nombre,  e.nit,  a_c.acciones_Asignado,  a_c.saldo_Acciones,  a_c.acciones_emitidas AS Acciones_emita";
$proto0["m_strFrom"] = "FROM constitucion AS c  INNER JOIN empresa AS e ON c.id_Empresa = e.id_Empresa  LEFT OUTER JOIN acciones_constitucion AS a_c ON c.id_constitucion = a_c.id_constitucion";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
				;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "id_constitucion",
	"m_strTable" => "c",
	"m_srcTableName" => "constitucion_empresa"
));

$proto6["m_sql"] = "c.id_constitucion";
$proto6["m_srcTableName"] = "constitucion_empresa";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "fecha_constitucion",
	"m_strTable" => "c",
	"m_srcTableName" => "constitucion_empresa"
));

$proto8["m_sql"] = "c.fecha_constitucion";
$proto8["m_srcTableName"] = "constitucion_empresa";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "acciones_emitidas",
	"m_strTable" => "c",
	"m_srcTableName" => "constitucion_empresa"
));

$proto10["m_sql"] = "c.acciones_emitidas";
$proto10["m_srcTableName"] = "constitucion_empresa";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "valor_nominal",
	"m_strTable" => "c",
	"m_srcTableName" => "constitucion_empresa"
));

$proto12["m_sql"] = "c.valor_nominal";
$proto12["m_srcTableName"] = "constitucion_empresa";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "capital_autorizado",
	"m_strTable" => "c",
	"m_srcTableName" => "constitucion_empresa"
));

$proto14["m_sql"] = "c.capital_autorizado";
$proto14["m_srcTableName"] = "constitucion_empresa";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "capital_pagado",
	"m_strTable" => "c",
	"m_srcTableName" => "constitucion_empresa"
));

$proto16["m_sql"] = "c.capital_pagado";
$proto16["m_srcTableName"] = "constitucion_empresa";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "serie_acciones",
	"m_strTable" => "c",
	"m_srcTableName" => "constitucion_empresa"
));

$proto18["m_sql"] = "c.serie_acciones";
$proto18["m_srcTableName"] = "constitucion_empresa";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "clases_acciones",
	"m_strTable" => "c",
	"m_srcTableName" => "constitucion_empresa"
));

$proto20["m_sql"] = "c.clases_acciones";
$proto20["m_srcTableName"] = "constitucion_empresa";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
						$proto22=array();
			$obj = new SQLField(array(
	"m_strName" => "duracion",
	"m_strTable" => "c",
	"m_srcTableName" => "constitucion_empresa"
));

$proto22["m_sql"] = "c.duracion";
$proto22["m_srcTableName"] = "constitucion_empresa";
$proto22["m_expr"]=$obj;
$proto22["m_alias"] = "";
$obj = new SQLFieldListItem($proto22);

$proto0["m_fieldlist"][]=$obj;
						$proto24=array();
			$obj = new SQLField(array(
	"m_strName" => "domicilio",
	"m_strTable" => "c",
	"m_srcTableName" => "constitucion_empresa"
));

$proto24["m_sql"] = "c.domicilio";
$proto24["m_srcTableName"] = "constitucion_empresa";
$proto24["m_expr"]=$obj;
$proto24["m_alias"] = "";
$obj = new SQLFieldListItem($proto24);

$proto0["m_fieldlist"][]=$obj;
						$proto26=array();
			$obj = new SQLField(array(
	"m_strName" => "lugar_constitucion",
	"m_strTable" => "c",
	"m_srcTableName" => "constitucion_empresa"
));

$proto26["m_sql"] = "c.lugar_constitucion";
$proto26["m_srcTableName"] = "constitucion_empresa";
$proto26["m_expr"]=$obj;
$proto26["m_alias"] = "";
$obj = new SQLFieldListItem($proto26);

$proto0["m_fieldlist"][]=$obj;
						$proto28=array();
			$obj = new SQLField(array(
	"m_strName" => "matricula_comercio",
	"m_strTable" => "c",
	"m_srcTableName" => "constitucion_empresa"
));

$proto28["m_sql"] = "c.matricula_comercio";
$proto28["m_srcTableName"] = "constitucion_empresa";
$proto28["m_expr"]=$obj;
$proto28["m_alias"] = "";
$obj = new SQLFieldListItem($proto28);

$proto0["m_fieldlist"][]=$obj;
						$proto30=array();
			$obj = new SQLField(array(
	"m_strName" => "fecha_inicial",
	"m_strTable" => "c",
	"m_srcTableName" => "constitucion_empresa"
));

$proto30["m_sql"] = "c.fecha_inicial";
$proto30["m_srcTableName"] = "constitucion_empresa";
$proto30["m_expr"]=$obj;
$proto30["m_alias"] = "";
$obj = new SQLFieldListItem($proto30);

$proto0["m_fieldlist"][]=$obj;
						$proto32=array();
			$obj = new SQLField(array(
	"m_strName" => "fecha_final",
	"m_strTable" => "c",
	"m_srcTableName" => "constitucion_empresa"
));

$proto32["m_sql"] = "c.fecha_final";
$proto32["m_srcTableName"] = "constitucion_empresa";
$proto32["m_expr"]=$obj;
$proto32["m_alias"] = "";
$obj = new SQLFieldListItem($proto32);

$proto0["m_fieldlist"][]=$obj;
						$proto34=array();
			$obj = new SQLField(array(
	"m_strName" => "id_Empresa",
	"m_strTable" => "c",
	"m_srcTableName" => "constitucion_empresa"
));

$proto34["m_sql"] = "c.id_Empresa";
$proto34["m_srcTableName"] = "constitucion_empresa";
$proto34["m_expr"]=$obj;
$proto34["m_alias"] = "";
$obj = new SQLFieldListItem($proto34);

$proto0["m_fieldlist"][]=$obj;
						$proto36=array();
			$obj = new SQLField(array(
	"m_strName" => "nombre",
	"m_strTable" => "e",
	"m_srcTableName" => "constitucion_empresa"
));

$proto36["m_sql"] = "e.nombre";
$proto36["m_srcTableName"] = "constitucion_empresa";
$proto36["m_expr"]=$obj;
$proto36["m_alias"] = "";
$obj = new SQLFieldListItem($proto36);

$proto0["m_fieldlist"][]=$obj;
						$proto38=array();
			$obj = new SQLField(array(
	"m_strName" => "nit",
	"m_strTable" => "e",
	"m_srcTableName" => "constitucion_empresa"
));

$proto38["m_sql"] = "e.nit";
$proto38["m_srcTableName"] = "constitucion_empresa";
$proto38["m_expr"]=$obj;
$proto38["m_alias"] = "";
$obj = new SQLFieldListItem($proto38);

$proto0["m_fieldlist"][]=$obj;
						$proto40=array();
			$obj = new SQLField(array(
	"m_strName" => "acciones_Asignado",
	"m_strTable" => "a_c",
	"m_srcTableName" => "constitucion_empresa"
));

$proto40["m_sql"] = "a_c.acciones_Asignado";
$proto40["m_srcTableName"] = "constitucion_empresa";
$proto40["m_expr"]=$obj;
$proto40["m_alias"] = "";
$obj = new SQLFieldListItem($proto40);

$proto0["m_fieldlist"][]=$obj;
						$proto42=array();
			$obj = new SQLField(array(
	"m_strName" => "saldo_Acciones",
	"m_strTable" => "a_c",
	"m_srcTableName" => "constitucion_empresa"
));

$proto42["m_sql"] = "a_c.saldo_Acciones";
$proto42["m_srcTableName"] = "constitucion_empresa";
$proto42["m_expr"]=$obj;
$proto42["m_alias"] = "";
$obj = new SQLFieldListItem($proto42);

$proto0["m_fieldlist"][]=$obj;
						$proto44=array();
			$obj = new SQLField(array(
	"m_strName" => "acciones_emitidas",
	"m_strTable" => "a_c",
	"m_srcTableName" => "constitucion_empresa"
));

$proto44["m_sql"] = "a_c.acciones_emitidas";
$proto44["m_srcTableName"] = "constitucion_empresa";
$proto44["m_expr"]=$obj;
$proto44["m_alias"] = "Acciones_emita";
$obj = new SQLFieldListItem($proto44);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto46=array();
$proto46["m_link"] = "SQLL_MAIN";
			$proto47=array();
$proto47["m_strName"] = "constitucion";
$proto47["m_srcTableName"] = "constitucion_empresa";
$proto47["m_columns"] = array();
$proto47["m_columns"][] = "id_constitucion";
$proto47["m_columns"][] = "fecha_constitucion";
$proto47["m_columns"][] = "acciones_emitidas";
$proto47["m_columns"][] = "valor_nominal";
$proto47["m_columns"][] = "capital_autorizado";
$proto47["m_columns"][] = "capital_pagado";
$proto47["m_columns"][] = "serie_acciones";
$proto47["m_columns"][] = "clases_acciones";
$proto47["m_columns"][] = "duracion";
$proto47["m_columns"][] = "domicilio";
$proto47["m_columns"][] = "lugar_constitucion";
$proto47["m_columns"][] = "matricula_comercio";
$proto47["m_columns"][] = "fecha_inicial";
$proto47["m_columns"][] = "fecha_final";
$proto47["m_columns"][] = "id_Empresa";
$proto47["m_columns"][] = "presidente_constitucion";
$proto47["m_columns"][] = "secretario_constitucion";
$proto47["m_columns"][] = "sindico_constitucion";
$obj = new SQLTable($proto47);

$proto46["m_table"] = $obj;
$proto46["m_sql"] = "constitucion AS c";
$proto46["m_alias"] = "c";
$proto46["m_srcTableName"] = "constitucion_empresa";
$proto48=array();
$proto48["m_sql"] = "";
$proto48["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto48["m_column"]=$obj;
$proto48["m_contained"] = array();
$proto48["m_strCase"] = "";
$proto48["m_havingmode"] = false;
$proto48["m_inBrackets"] = false;
$proto48["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto48);

$proto46["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto46);

$proto0["m_fromlist"][]=$obj;
												$proto50=array();
$proto50["m_link"] = "SQLL_INNERJOIN";
			$proto51=array();
$proto51["m_strName"] = "empresa";
$proto51["m_srcTableName"] = "constitucion_empresa";
$proto51["m_columns"] = array();
$proto51["m_columns"][] = "id_Empresa";
$proto51["m_columns"][] = "nombre";
$proto51["m_columns"][] = "nit";
$proto51["m_columns"][] = "matricula_Comercio";
$proto51["m_columns"][] = "capital_Autorizado";
$proto51["m_columns"][] = "capital_Pagado";
$proto51["m_columns"][] = "lugar_Constitucion";
$proto51["m_columns"][] = "fecha_Constitucion";
$proto51["m_columns"][] = "duracion";
$proto51["m_columns"][] = "domicilio";
$proto51["m_columns"][] = "url_report";
$obj = new SQLTable($proto51);

$proto50["m_table"] = $obj;
$proto50["m_sql"] = "INNER JOIN empresa AS e ON c.id_Empresa = e.id_Empresa";
$proto50["m_alias"] = "e";
$proto50["m_srcTableName"] = "constitucion_empresa";
$proto52=array();
$proto52["m_sql"] = "e.id_Empresa = c.id_Empresa";
$proto52["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "id_Empresa",
	"m_strTable" => "e",
	"m_srcTableName" => "constitucion_empresa"
));

$proto52["m_column"]=$obj;
$proto52["m_contained"] = array();
$proto52["m_strCase"] = "= c.id_Empresa";
$proto52["m_havingmode"] = false;
$proto52["m_inBrackets"] = false;
$proto52["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto52);

$proto50["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto50);

$proto0["m_fromlist"][]=$obj;
												$proto54=array();
$proto54["m_link"] = "SQLL_LEFTJOIN";
			$proto55=array();
$proto55["m_strName"] = "acciones_constitucion";
$proto55["m_srcTableName"] = "constitucion_empresa";
$proto55["m_columns"] = array();
$proto55["m_columns"][] = "acciones_Asignado";
$proto55["m_columns"][] = "acciones_emitidas";
$proto55["m_columns"][] = "saldo_Acciones";
$proto55["m_columns"][] = "id_constitucion";
$obj = new SQLTable($proto55);

$proto54["m_table"] = $obj;
$proto54["m_sql"] = "LEFT OUTER JOIN acciones_constitucion AS a_c ON c.id_constitucion = a_c.id_constitucion";
$proto54["m_alias"] = "a_c";
$proto54["m_srcTableName"] = "constitucion_empresa";
$proto56=array();
$proto56["m_sql"] = "a_c.id_constitucion = c.id_constitucion";
$proto56["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "id_constitucion",
	"m_strTable" => "a_c",
	"m_srcTableName" => "constitucion_empresa"
));

$proto56["m_column"]=$obj;
$proto56["m_contained"] = array();
$proto56["m_strCase"] = "= c.id_constitucion";
$proto56["m_havingmode"] = false;
$proto56["m_inBrackets"] = false;
$proto56["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto56);

$proto54["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto54);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="constitucion_empresa";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_constitucion_empresa = createSqlQuery_constitucion_empresa();


	
				;

																				

$tdataconstitucion_empresa[".sqlquery"] = $queryData_constitucion_empresa;



$tdataconstitucion_empresa[".hasEvents"] = false;

?>